2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* configure: Bump MD version.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* configure: Bump MD version.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Track api changes.

2010-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Track api changes.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbSession.cs: Increased console creation timeout.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbSession.cs: Track api changes.

2010-04-19  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Track api changes.

	* MonoDevelop.Debugger.csproj: Flush.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* configure:
	* AssemblyInfo.cs:
	* Manifest.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Flush.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Merged MD.Projects into
	  MD.Core, and MD.Projects.Gui, MD.Core.Gui and MD.Components
	  into MD.Ide.

2010-03-15  David Makovský  <yakeen@sannyas-on.net>

	* GdbBacktrace.cs: fixes for C++ structures (thx Martin Vejnár
	  <avakar@ratatanek.cz>)

2010-03-08  Jonathan Pryor  <jpryor@novell.com>

	* configure: Create a $(CSC) make variable.
	* MonoDevelop.Debugger.Gdb.make: Set $(ASSEMBLY_COMPILER_COMMAND) to
	  $(CSC).  This allows a top-level CSC override to be used within this
	  module (e.g. top-level `make CSC=dmcs` for a v4 build).

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* GdbSession.cs: Name the reader thread.

2010-03-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.Gdb.sln: The invariant policy can't be
	  used anymore as base policy set.

2010-02-22  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Track api changes.

2010-02-20  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Add missing method.

2010-02-19  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Track api changes.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Manifest.addin.xml:
	* GdbSessionFactory.cs: Track api changes. Some engine info is
	  now taken from extension node metadata.

	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.Gdb.sln: Flush.

	* GdbSession.cs: Expressions are now printed by the debugging
	  service.

2009-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Track api changes.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbSessionFactory.cs: Implement Id property.

2009-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbBacktrace.cs: Track api changes.

2009-11-12  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbEvent.cs: Reason can be an array. Handle this case.

	* MonoDevelop.Debugger.csproj: Flush.

	* GdbSession.cs: If there is an error while initializing,
	  report that the process has exited.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* configure:
	* AssemblyInfo.cs:
	* Manifest.addin.xml: Bump MD version.

2009-10-18  Michael Hutchinson  <mhutchinson@novell.com>

	* GdbSession.cs: Fix Pocess/Process spelling.

2009-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* GdbSessionFactory.cs: Fix spelling of GetAttachableProcesses
	  API.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* configure:
	* AssemblyInfo.cs:
	* Manifest.addin.xml: Bump MD version.

2009-10-05  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbSession.cs:
	* GdbBacktrace.cs: Use long for thread and process id.

2009-10-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.Gdb.sln: 

	* GdbSession.cs: Don't crash if a breakpoint can't be set.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.Gdb.sln: Updated.

	* GdbSession.cs: Quote file names when needed.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Flush.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbSessionFactory.cs:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.Gdb.make: Track api changes.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* configure:
	* AssemblyInfo.cs:
	* Manifest.addin.xml: Bump MD version.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbSessionFactory.cs: Removed unused CanDebugPlatform and
	  rename CanDebugFile to CanDebugCommand.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* GdbSessionFactory.cs: Changed the way execution handlers
	  work. We are not using platform ids anymore. Instead, we use
	  command strings when looking for execution handlers.
	  IExecutionHandlerFactory has been removed and now everything
	  is handled by IExecutionHandler, which has a new CanExecute
	  method. This model is more simple and more generic.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.Gdb.sln: Flush.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.Gdb.sln: Set policies. Remove unused
	  name attribute.

2009-02-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Updated references.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * MonoDevelop.Debugger.mdp:
 * MonoDevelop.Debugger.mds:
 * MonoDevelop.Debugger.csproj:
 * MonoDevelop.Debugger.Gdb.mds:
 * MonoDevelop.Debugger.Gdb.sln: Migrated to MSBuild file format.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * configure:
 * AssemblyInfo.cs:
 * Manifest.addin.xml: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.mdp: Flush project format changes.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.mdp: Updated.

	* GdbBacktrace.cs: Track api changes.

2008-12-09  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* GdbSession.cs: Fallback to relative source file path.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Manifest.addin.xml: Set correct add-in category.

	* GdbSession.cs:
	* GdbSessionFactory.cs:
	* MonoDevelop.Debugger.mdp: Track api changes.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Manifest.addin.xml: Change addin version number to match
	configure/tarball version number.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.mdp:
	* MonoDevelop.Debugger.Gdb.make: Remove .pc file. It's not required.

2008-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Manifest.addin.xml: Track api changes.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* configure:
	* Manifest.addin.xml: Bump MD version.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* configure: Fix tarball name.

2008-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbBacktrace.cs, GdbSession.cs: When debugging a mono process, try to
	  get managed method names for unknown stack frames.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.mdp: Updated projects.

2008-09-03  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSession.cs: Track api changes.

2008-08-22  Lluis Sanchez Gual <lluis@novell.com> 

	* Manifest.addin.xml, MonoDevelop.Debugger.mdp: Extension point
	  location has changed.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.mdp: Fix reference to Mono.TextEditor. The
	  incorrect add-in version number causes problems in the makefile
	  synchronization.

2008-08-07  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSession.cs: Implemented support for conditions, trace expressions
	  and hit counts.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSession.cs: Track api changes.

2008-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbBacktrace.cs: Implement GetAllLocals.

2008-07-16  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSession.cs: Track api changes.

2008-07-11  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSessionFactory.cs: Fix construction process command line string.
	* GdbSession.cs: Track api changes.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.Gdb.make: Install the assemblies to the correct
	  directory.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSession.cs: Track api changes.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbBacktrace.cs: Added support for code completion.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbBacktrace.cs: Track api changes.
	* GdbSession.cs: Clean temporary variables.

2008-07-07  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbBacktrace.cs: Track api changes.

2008-07-02  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbBacktrace.cs: Support modifying variable values.
	* GdbSession.cs: Implemented support for disassembling files.

2008-07-01  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSession.cs: Track api changes.

2008-06-26  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbBacktrace.cs, GdbSession.cs: Allow setting the active thread.
	  Implemented GetThreads and GetProcesses.
	* ResultData.cs: Handle weird case where a tuple can have several
	  values for a property.

2008-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSession.cs: Implemented detach.

2008-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* GdbSessionFactory.cs, GdbBacktrace.cs, GdbSession.cs, ResultData.cs:
	  Implemented process attaching, variable query, disassemble.

2008-06-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.Gdb.make, configure, MonoDevelop.Debugger.mdp,
	  MonoDevelop.Debugger.mds, Makefile.include, rules.make,
	  monodevelop.debugger.gdb.pc.in, Makefile: Added missing build
	  files.

2008-06-17  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs, GdbBacktrace.cs, GdbEvent.cs, GdbSession.cs,
	  CommandStatus.cs, GdbSessionFactory.cs, ResultData.cs,
	  GdbCommandResult.cs, Manifest.addin.xml: Initial support for gdb
	  integration.

